Subject: Re: Git in GSoC 2025

From: Kaartic Sivaraam <[email-masked]>
Date: Tue, 28 Jan 2025 23:50:57 +0530

Hi Patrick and Jialuo,

On 27/01/25 13:36, Patrick Steinhardt wrote:
> On Mon, Jan 27, 2025 at 12:19:26PM +0530, Kaartic Sivaraam wrote:
>> While I have not included them as of yet, I wonder if the following ideas
>> which we
>> had last year[1] could still be retained this year:
>>
>> - Implement consistency checks for refs. The idea could be about
>>     implementing further ref checks which Jialuo appears to be helping
>>     out with. We could leave it if Jialuo prefers to continue working on
>>     the same in a flow.
> 
> The biggest omission right now is the reftable backend, but that one I
> plan to work on myself in this release cycle.
> 
> I'll leave it to Jialuo to decide whether there's anything else in this
> context that would make for a good GSoC project, as he's been the
> primary driving force here.
>

Got it.

>> - Refactor git-bisect(1) to make its state self-contained
> 
> I'd rather remove that project. It would be nice to have it, but it
> feels too risky for a GSoC project, and we have better ones.
> 

Ok. I'll leave it dropped.

>> - Implement support for reftables in "dumb" HTTP transport
> 
> I'd be fine mentoring this project.
> 

Sure. I'll include this one. I've retained Karthik as a co-mentor. 
Karthik, let me know in case of any concerns.

On 27/01/25 18:13, shejialuo wrote:
 > One thing I could think about is to clean up "git-fsck(1)" to make the
 > boundary between the ref checks and object checks clear which means we
 > need to remove unnecessary checks and reorder the program sequence.
 > However, I think this is a little risky for a GSoC project. So, I'd like
 > to implement this later on my own.

Done. Thank you for your thoughts!

--
Sivaraam